Last modified: 2014-05-17 17:09:47 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26587 - Show summary of target page in link tooltips
Show summary of target page in link tooltips
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
: 27189 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-05 19:42 UTC by kueikhan
Modified: 2014-05-17 17:09 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description kueikhan 2011-01-05 19:42:42 UTC
Dear All,

This is not actually a bug report, rather an enhancement request.

I think it would be useful to have short descriptions to appear when I move over a link. Now I only see the link word itself. However, there could be the first sentence from the link’s main page instead, to describe the definition, so I wouldn’t have to go to the link to read it.

Thanks in advance.
Comment 1 Platonides 2011-01-05 19:49:33 UTC
Thanks for your enhacemente request (yes, this is the proper place).

That can be done with the popups gadget. I think that's a WONTFIX as a core feature.
Comment 2 Ilmari Karonen 2011-01-05 19:52:24 UTC
Popups is pure JS, though, right?  Something like this could perhaps be useful as an extension.  Just a Simple Matter Of Programming it... :)
Comment 3 Platonides 2011-01-05 19:55:08 UTC
You still need javascript for it to work. And doing some pieces in php will lead you to caching madness™. Making a generic javascript wrapper extension could work, and seems a good idea, but that's a different feature.
Comment 4 Ilmari Karonen 2011-01-05 20:12:16 UTC
Not necessarily, if you just used text-only tooltips.  But I do agree, caching would be an issue.  Not in the sense that it'd be difficult -- just purge all linking pages on every edit -- but in terms of performance.  Still, some wikis might consider the performance hit worth it.  (And it's not like the JS popups don't have performance issues of their own.)
Comment 5 Bawolff (Brian Wolff) 2011-01-05 20:36:06 UTC
This is a dupe of Bug 503, but it would be nice to bundle that piece of js as an extension, with any wikimedia specific parts removed.
Comment 6 Bawolff (Brian Wolff) 2011-01-05 20:43:56 UTC
Or alternatively, having an optional version of the gadgets extensions that bundles the really popular gadgets that are widely applicable (like popups)
Comment 7 Happy-melon 2011-01-05 20:47:12 UTC

*** This bug has been marked as a duplicate of bug 503 ***
Comment 8 Ilmari Karonen 2011-01-05 21:48:25 UTC
Reopening, as bug 503 is about a specific JS implementation while the request here is more general.  Meanwhile, here's a very quick proof-of-concept implementation with JS: 

http://www.mediawiki.org/wiki/User:Ilmari_Karonen/FancyTooltips

You almost certainly won't want to use that code as it is now (v0.1), but it demonstrates that showing page content in tooltips is possible without JS.
Comment 9 Ilmari Karonen 2011-01-05 21:49:18 UTC
...and of course that should say "proof-of-concept implementation withOUT JS". :(
Comment 10 Bawolff (Brian Wolff) 2011-02-05 23:39:17 UTC
*** Bug 27189 has been marked as a duplicate of this bug. ***
Comment 11 efenna 2011-02-07 05:47:00 UTC
(In reply to comment #10)
> *** Bug 27189 has been marked as a duplicate of this bug. ***

The current tooltip on mouseover shows the name of the link, but there would be
many instances when a short description would be helpful as well, like a one
sentence summary of a linked article, so that the user doesn't have to go to
the linked article in order to understand what it is.

I envisage that the short description is written on the page being linked to
(the target), and when the link is created on the 'current' page (eg
[[target|alias]] a flag can indicate if the description should show in the
mouseover, eg [[target|alias|hoverdesc]]
Comment 12 Quiddity 2014-05-17 17:09:47 UTC
Hovercards is currently available as a Beta Feature on all wikis. 
https://www.mediawiki.org/wiki/Beta_Features/Hovercards
Please try it out, and give feedback on the talkpage there!

(bug 61167 tracks the deployment status)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links